package org.jeecg.modules.ctop.controller;

import com.alibaba.fastjson.JSONObject;
import org.jeecg.common.util.DateUtils;
import org.jeecg.modules.ctop.entity.CTopOauthToken;
import org.jeecg.modules.ctop.service.ICTopOauthTokenService;
import org.jeecg.modules.ctop.service.IReportService;
import org.jeecg.modules.kuaishou.service.IKuaishouInterfaceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Date;
import java.util.HashMap;
import java.util.Map;

@RestController
@RequestMapping("report")
public class ReportController {
    @GetMapping("advertiser")
//    public Map<String, Object> advertiserReport(@RequestBody JSONObject conditions) {
    public Map<String, Object> advertiserReport() {
        JSONObject conditions = new JSONObject();
        return reportService.getAdvertiserReport(conditions);
    }

    @GetMapping("campaign")
//    public Map<String, Object> campaignReport(@RequestBody JSONObject conditions) {
    public Map<String, Object> campaignReport() {
        JSONObject conditions = new JSONObject();
        return reportService.getCampaignReport(conditions);
    }

    @GetMapping("ad")
    public Map<String, Object> adReport(@RequestBody JSONObject conditions) {
        return reportService.getAdReport(conditions);
    }

    @GetMapping("creative")
    public Map<String, Object> creativeReport(@RequestBody JSONObject conditions) {
        return reportService.getCreativeReport(conditions);
    }

    @GetMapping("agent")
    public Map<String, Object> agentReport(@RequestBody JSONObject conditions) {
        return reportService.getAgentReport(conditions);
    }

    /**
     * 360借条报表数据
     */
    @GetMapping("jietiao/kuaishou/insert")
    public Map<String, Object> jietiaoKuaishouInsert(String accountId) {
        Map<String, Object> result = new HashMap<>();
        CTopOauthToken token = tokenService.getOauthTokenByAccountId(accountId);
        Date now = new Date();
        String startDate = DateUtils.formatDate(now, "yyyy-MM-dd");
        kuaishouInterfaceService.getCampaignDailyReport(token.getAccessToken(), token.getAccountId(), startDate, startDate, 1000, 1);
        return result;
    }

    @Autowired
    private ICTopOauthTokenService tokenService;
    @Autowired
    private IKuaishouInterfaceService kuaishouInterfaceService;

    /**
     * 360借条报表数据
     */
    @GetMapping("jietiao/customer/insert")
    public Map<String, Object> jietiaoCustomerInsert() {
        Map<String, Object> result = new HashMap<>();
        String csvPath = "D:\\工作文件\\360借条\\effect_unit_2019-08-02-00_2019-08-02-00.csv";
        reportService.insertCustomerInfo(csvPath);
        return result;
    }

    @Autowired
    private IReportService reportService;
}
