package org.jeecg.modules.ctop.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * @Description: 用户广告计划信息统计
 * @Author: jeecg-boot
 * @Date: 2019-08-21
 * @Version: V1.0
 */
@Data
@TableName("ctop_kuaishou_customer_plan_statistic_info")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_kuaishou_customer_plan_statistic_info对象", description = "用户广告计划信息统计")
public class CustomerPlanStatisticInfo {

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 渠道类型
     */
    @Excel(name = "渠道类型", width = 15)
    @ApiModelProperty(value = "渠道类型")
    private String media;
    /**
     * 统计日期
     */
    @Excel(name = "统计日期", width = 15)
    @ApiModelProperty(value = "统计日期")
    private String statisticDate;
    /**
     * planInfo
     */
    @Excel(name = "planInfo", width = 15)
    @ApiModelProperty(value = "planInfo")
    private String planInfo;
    /**
     * campaignInfo
     */
    @Excel(name = "campaignInfo", width = 15)
    @ApiModelProperty(value = "campaignInfo")
    private String campaignInfo;
    /**
     * 广告组code
     */
    @Excel(name = "广告组code", width = 15)
    @ApiModelProperty(value = "广告组code")
    private String campaignCode;
    /**
     * 花费
     */
    @Excel(name = "花费", width = 15)
    @ApiModelProperty(value = "花费")
    private java.math.BigDecimal cost;
    /**
     * 曝光数
     */
    @Excel(name = "曝光数", width = 15)
    @ApiModelProperty(value = "曝光数")
    private Long exposure;
    /**
     * 点击数
     */
    @Excel(name = "点击数", width = 15)
    @ApiModelProperty(value = "点击数")
    private Integer click;
    /**
     * 行为数
     */
    @Excel(name = "行为数", width = 15)
    @ApiModelProperty(value = "行为数")
    private Integer action;
    /**
     * 点击率
     */
    @Excel(name = "点击率", width = 15)
    @ApiModelProperty(value = "点击率")
    private String clickRate;
    /**
     * 行为率
     */
    @Excel(name = "行为率", width = 15)
    @ApiModelProperty(value = "行为率")
    private String actionRate;
    /**
     * 平均千次曝光花费
     */
    @Excel(name = "平均千次曝光花费", width = 15)
    @ApiModelProperty(value = "平均千次曝光花费")
    private java.math.BigDecimal thousandsExposureCost;
    /**
     * 平均点击单价
     */
    @Excel(name = "平均点击单价", width = 15)
    @ApiModelProperty(value = "平均点击单价")
    private java.math.BigDecimal averageClickCost;
    /**
     * 平均行为单价
     */
    @Excel(name = "平均行为单价", width = 15)
    @ApiModelProperty(value = "平均行为单价")
    private java.math.BigDecimal averageActionCost;
    /**
     * 提交按钮点击
     */
    @Excel(name = "提交按钮点击", width = 15)
    @ApiModelProperty(value = "提交按钮点击")
    private Integer submitButtonClick;
    /**
     * 表单提交率
     */
    @Excel(name = "表单提交率", width = 15)
    @ApiModelProperty(value = "表单提交率")
    private String formSubmissionRate;
    /**
     * 表单提交单价
     */
    @Excel(name = "表单提交单价", width = 15)
    @ApiModelProperty(value = "表单提交单价")
    private java.math.BigDecimal formSubmissionPrice;
    /**
     * createTime
     */
    @ApiModelProperty(value = "createTime")
    private Date createTime;
    /**
     * updateTime
     */
    @ApiModelProperty(value = "updateTime")
    private Date updateTime;

    public CustomerPlanStatisticInfo() {
    }

    public CustomerPlanStatisticInfo(String[] record) {
        this.media = "2";
        String date = record[0];
        this.statisticDate = date;
        String plan = record[1];
        this.planInfo = plan;
        String campaign = record[2];
        this.campaignInfo = campaign;
        this.campaignCode = campaign.substring(0, campaign.indexOf("-"));
        String cost = record[3];
        this.cost = new BigDecimal(cost);
        String bg = record[4];
        this.exposure = Long.parseLong(bg);
        String click = record[5];
        this.click = Integer.parseInt(click);
        String action = record[6];
        this.action = Integer.parseInt(action);
        String clickRate = record[7];
        this.clickRate = clickRate;
        String actionRate = record[8];
        this.actionRate = actionRate;
        String tbgrate = record[9];
        this.thousandsExposureCost = new BigDecimal(tbgrate);
        String averageClickCost = record[10];
        this.averageClickCost = new BigDecimal(averageClickCost);
        String averageActionCost = record[11];
        this.averageActionCost = new BigDecimal(averageActionCost);
        String submitButtonClick = record[12];
        this.submitButtonClick = Integer.parseInt(submitButtonClick);
        String formSubmmitRate = record[13];
        this.formSubmissionRate = formSubmmitRate;
        String formSubmitCost = record[14];
        this.formSubmissionPrice = new BigDecimal(formSubmitCost);
    }
}
